<?php

// Sucht Jobs, nach Titel und Status filterbar.

// Die Schnittstelle bietet ebenfalls die Möglichkeit die Suche
// innerhalb einer Zeitspanne zu beschränken, dies halten wir der
// Einfachheit halber hier aussen vor.


require_once '../config.inc.php';
require_once 'Teamnet/Fax/Soap/Client/Job.php';


// Suchparameter auslesen
$s_Jobtitle = ( isset($_REQUEST['title']) && !empty($_REQUEST['title']) )
			? $_REQUEST['title'] : null;
$s_Status	= ( isset($_REQUEST['status']) && !empty($_REQUEST['status']) )
			? $_REQUEST['status'] : null;


// Neues FaxJob Client Objekt
$o_FaxJob = new Teamnet_Fax_Soap_Client_Job( FAX_JOB_WSDL, FAX_AUTHKEY );


try {
	// Suchanfrage abschicken
	$m_Result = $o_FaxJob->getList($s_Jobtitle, $s_Status);

	// Wir erhalten ein Array von APIJob objekten.
	// Wurde jedoch kein Job gefunden, erhalten wir ein schlichtes null.
	if (is_array($m_Result))
		echo '<pre>'.htmlspecialchars(print_r($m_Result,true)).'</pre>';
	else
		echo 'Keine Jobs gefunden';

} catch (ParameterException $e) {
	echo 'Parameter '.$e->parameter.': '.$e->getMessage();
} catch (AuthentificationException $e) {
	echo $e->getMessage();
} catch (ServiceException $e) {
	echo 'Der Fax-API Endpunkt meldet einen internen Fehler: '.
		 $e->getMessage();
} catch (MaintenanceException $e) {
	echo 'Wartungsarbeiten am API-Endpunkt: '.$e->getMessage();
}